#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;
const int CITIES = 10;
const int CITIZENS = 30;

int main() {
  int i, j, position_i, position_j;
  bool found;
  string needle;

  string phone_num[CITIES][CITIZENS];
  string ans[CITIES][CITIZENS];
  for (i = 0; i <= CITIES - 1; i++) {
    cout << "City No. " << (i + 1) << endl;
    for (j = 0; j <= CITIZENS - 1; j++) {
      cout << "Enter phone number of citizen No. " << (j + 1) << ": ";
      cin >> phone_num[i][j];

      cout << "Enter the answer of citizen No. " << (j + 1) << ": ";
      cin >> ans[i][j];
      ans[i][j] = to_upper_copy(ans[i][j]);
      while (ans[i][j] != "Y" && ans[i][j] != "N" && ans[i][j] != "S") {
        cout << "Wrong answer. Please enter a valid answer: ";
        cin >> ans[i][j];
        ans[i][j] = to_upper_copy(ans[i][j]);
      }
    }
  }

  cout << "Enter a phone number to search: ";
  cin >> needle;

  found = false;
  position_i = -1;
  position_j = -1;
  i = 0;
  while (i <= CITIES - 1 && found == false) {
    j = 0;
    while (j <= CITIZENS - 1 && found == false) {
      if (phone_num[i][j] == needle) {
        found = true;
        position_i = i;
        position_j = j;
      }
      j++;
    }
    i++;
  }

  if (found == false) {
    cout << "Phone number not found!" << endl;
  }
  else {
    cout << "Phone number " << phone_num[position_i][position_j];
    cout << " gave '";

    if (ans[position_i][position_j] == "Y") {
      cout << "Yes";
    }
    else if (ans[position_i][position_j] == "N") {
      cout << "No";
    }
    else {
      cout << "Sometimes";
    }

    cout << "' as an answer";
  }
  return 0;
}
