#include <iostream>
using namespace std;

int main() {
  int kwh;
  double t;

  cout << "Enter number of Kilowatt-hours consumed: ";
  cin >> kwh;

  if (cin.fail() == true) {
    cout << "Entered value contains non-numeric characters" << endl;
    cin.clear();
    cin.ignore(100, '\n');
  }
  else if (kwh < 0) {
    cout << "Entered value is negative" << endl;
  }
  else {
    if (kwh <= 500) {
      t = kwh * 0.10;
    }
    else if (kwh <= 2000) {
      t = 0.25 * kwh - 75;
    }
    else if (kwh <= 4000) {
      t = 0.4 * kwh - 375;
    }
    else {
      t = 0.6 * kwh - 1175;
    }

    t = 1.10 * t;  //This is equivalent to 
                   //t = t + t * 10 / 100
                   //but more efficient 

    cout << "Total amount to pay (taxes included): " << t << endl;
  }
  return 0;
}
