#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;
int main() {
  int  last_pos, i, middle_pos, j;
  string message, message_clean, letter, left_letter, right_letter;
  bool palindrome;

  cout << "Enter a message: ";
  getline(cin, message);
  message = to_lower_copy(message);
  
  //This is the last position of message
  last_pos = message.length() - 1;  
  
  //Create a new string which contains letters except
  //spaces, commas, periods or questionmarks
  message_clean = "";
  for (i = 0; i <= last_pos; i++) {
    letter = message.at(i);
    if (letter != " " && letter != "," && letter != "." && letter != "?") {
      message_clean += letter;
    }
  }

  //This is the middle position of message_clean
  middle_pos = (int)((message_clean.length() - 1) / 2);
  
  //This is the last position of message_clean
  j = message_clean.length() - 1; 
  
  //In the beginning, assume that sentence is palindrome
  palindrome = true;
  i = 0;
  while (i <= middle_pos && palindrome == true) {
    left_letter = message_clean.at(i);
    right_letter = message_clean.at(j);
    if (left_letter != right_letter) {
      palindrome = false;
    }
    j--;
    i++;
  }

  
  //If variable palindrome is still true
  if (palindrome == true) {
    cout << "The message is palindrome" << endl;
  }
  return 0;
}
