#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;

string part1(int i)  {
  string sex, temp1;

  do {
    cout << "Enter Sex for Citizen No " << i << ": ";
    cin >> temp1;
    sex = to_lower_copy(temp1);
  } while (sex != "male" && sex != "female");

  return sex;
}

string part2()  {
  string temp2, answer;

  do {
    cout << "Do you go jogging in the afternoon? ";
    cin >> temp2;
    answer = to_lower_copy(temp2);
  } while (answer != "yes" && answer != "no" && answer != "sometimes");

  return answer;
}

void part3(string answer, string sex, int &total_yes, int &female_no) {
  if (answer == "yes") {
    total_yes++;
  }

  if (sex == "female" && answer == "no") {
    female_no++;
  }
}

void part4(int total_yes, int female_no) {
  cout << "Total positive answers: " << total_yes << endl;
  cout << "Women's negative answers: " << female_no << endl;
}

int main() {
  int i, total_yes, female_no;
  string sex, answer;

  total_yes = 0;
  female_no = 0;
  for (i = 1; i <= 10; i++) {
    sex = part1(i);
    answer = part2();

    part3(answer, sex, total_yes, female_no);
  }

  part4(total_yes, female_no);
  return 0;
}
