#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;

int get_consumption()  {
  int kwh;

  cout << "Enter kWh consumed: ";
  cin >> kwh;
  while (cin.fail() == true || kwh < 0) {
    cout << "Error: Invalid number!" << endl;
    cin.clear();
    cin.ignore(100, '\n');
    cout << "Enter a non-negative number: ";
    cin >> kwh;
  }
  return kwh;
}

double find_amount(int kwh) {
  double amount;

  if (kwh <= 400) {
    amount = kwh * 0.08;
  }
  else if (kwh <= 1500) {
    amount = 400 * 0.08 + (kwh - 400) * 0.22;
  }
  else if (kwh <= 3000) {
    amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35;
  }
  else {
    amount = 400 * 0.08 + 1100 * 0.22 + 1500 * 0.35 + (kwh - 3000) * 0.50;
  }

  amount += 0.26 * amount;
  return amount;
}

int main() {
  int kwh;
  string answer;

  do {
    kwh = get_consumption();
    cout << "You need to pay: " << find_amount(kwh) << endl;

    cout << "Would you like to repeat?" << endl;
    cin >> answer;
  } while (to_upper_copy(answer) == "YES");
  return 0;
}
